Skip to content
brain.GitHub
Developer docs OPEN SOURCE
HTTP APIEndpoints

Submit runtime progress or result

POST
/executors/{id}/responses

Requires the executor credential and current connection/call identity. Stale, duplicate and unsolicited results fail.

Authorization

bearer
headerAuthorizationBearer <token>

Path Parameters

id*string

Opaque executor ID.

Match^[a-fA-F0-9]{32}$

Request Body

application/json
  1. body
call_id*string
connection*string
progress?unknown
result?

Response Body

Submit runtime progress or result

application/json
  1. response
status*string
curl -X POST 'http://127.0.0.1:8080/executors/string/responses' \  -H 'Authorization: Bearer <BRAIN_TOKEN>' \  -H 'Content-Type: application/json' \  -d '{  "call_id": "string",  "connection": "string"}'
{  "status": "string"}